clear all
set mem 100m
set more off

** Note: please change the following line to the path of your files
cd "C:\Users\Owner\Desktop\IO Replication Packet\Data Sets\"

**********************
* DESCRIPTIVE STATISTICS
**********************

tempfile econ
use "effect_of_econ MASTER.dta", clear
** SUMMARY STATISTICS
sum form if (defense==1 | offense==1) & form==0 & inalliance==0
sum form if (defense==1 | offense==1) & form==1 & inalliance==0
sum ECON if (defense==1 | offense==1) & form==0 & inalliance==0
sum ECON if (defense==1 | offense==1) & form==1 & inalliance==0

** CROSS TABS
tab form ECON
tab form ECON  if (defense==1 | offense==1) & inalliance==0
tab form ECON  if (defense==1 | offense==1) & inalliance==0, chi2

use "effect_of_econ date.dta", clear
gen Negotiations = 0
save `econ', replace

local i = 1815
while `i' <=(1945) {
di `i'
qui {
use "effect_of_econ 2.dta", clear
sum form if year==`i'
local `i'_N = r(N)
use `econ', clear
replace Negotiations = ``i'_N' if year==`i'
save `econ', replace
}
local i = `i' + 1
}

twoway bar Negotiation year, ylabel() xlabels(1815(15)1945) title("Number of Military Alliance Negotiations") subtitle("1815 to 1945, by year") ytitle(Number of Negotiations)  bcolor(black) barwidth(2) blcolor(black)
